module ItBitSDK
  module Trades
    class FundingHistory
      attr_accessor :destination_address, :withdrawal_id, :holding_period_completion_date, :time, :currency, :transaction_type, :amount, :wallet_name, :status

      def initialize(params:)
        @destination_address            = params['destinationAddress']
        @withdrawal_id                  = params['withdrawalId']
        @holding_period_completion_date = params['holdingPeriodCompletionDate']
        @time                           = params['time']
        @currency                       = params['currency']
        @transaction_type               = params['transactionType']
        @amount                         = params['amount']
        @wallet_name                    = params['walletName']
        @status                         = params['status']
      end
    end
  end
end