module ItBitSDK
  module Trades
    class Trade
      attr_accessor :order_id, :timestamp, :instrument, :direction, :currency_1, :currency_1_amount, :currency_2, :currency_2_amount, :rate, :commission_paid, :commission_currency, :rebates_applied, :rebate_currency

      def initialize(params:)
        @order_id             = params['orderId']
        @timestamp            = params['timestamp']
        @instrument           = params['instrument']
        @direction            = params['direction']
        @currency_1           = params['currency1']
        @currency_1_amount    = params['currency1Amount']
        @currency_2           = params['currency2']
        @currency_2_amount    = params['currency2Amount']
        @rate                 = params['rate']
        @commission_paid      = params['commissionPaid']
        @commission_currency  = params['commissionCurrency']
        @rebates_applied      = params['rebatesApplied']
        @rebate_currency      = params['rebateCurrency']
      end
    end
  end
end