module ItBitSDK
  class Wallet
    attr_accessor :id, :user_id, :name, :balances

    class Balance
      attr_accessor :available_balance, :total_balance, :currency

      def initialize(params:)
        @available_balance  = params['availableBalance'].to_f
        @total_balance      = params['totalBalance'].to_f
        @currency           = params['currency']
      end
    end

    def initialize(params:)
      @id       = params['id']
      @user_id  = params['userId']
      @name     = params['name']
      @balances = params['balances'].collect { |balance| ::ItBitSDK::Wallet::Balance.new(params: balance) }
    end
  end
end
